Debian Bug report logs - #491628
RM: gnome-cups-manager -- ROM; unmaintained, has RC bugs, has replacement

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Josselin Mouette <joss@debian.org>

Date: Sun, 20 Jul 2008 22:51:01 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-gnome-maintainers@lists.alioth.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#491628; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
New Bug report received and forwarded. Copy sent to pkg-gnome-maintainers@lists.alioth.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: gnome-cups-manager -- ROM; unmaintained, has RC bugs, has replacement
Date: Mon, 21 Jul 2008 00:48:51 +0200
Package: ftp.debian.org
Severity: normal

Hi,

we have replaced gnome-cups-manager by system-config-printer, which 
should cover all of its functionality. Since nobody has stepped up to 
maintain gnome-cups-manager, please remove it from the archive.

Thanks,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#491628; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #10 received at 491628@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: Josselin Mouette <joss@debian.org>, 491628@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#491628: RM: gnome-cups-manager -- ROM; unmaintained, has RC bugs, has replacement
Date: Mon, 21 Jul 2008 20:20:59 +0100
clone 491628 -1
reassign -1 brdesktop-gnome
retitle -1 dependency on gnome-cups-manager which is going away
block 491628 by -1
thanks

On Mon, 21, Jul, 2008 at 12:48:51AM +0200, Josselin Mouette spoke thus..
> Package: ftp.debian.org
> Severity: normal
> 
> Hi,
> 
> we have replaced gnome-cups-manager by system-config-printer, which 
> should cover all of its functionality. Since nobody has stepped up to 
> maintain gnome-cups-manager, please remove it from the archive.

gnome-cups-manager has an rdepends in brdesktop-gnome.  Cloning and blocking
bug so that they can remove/change their dependency:

mhy@ries:~$ dak rm -p -d 491628 -R -C package -m "ROM; unmaintained, has RC bugs, has replacement" gnome-cups-manager
Working... done.
Will remove the following packages from unstable:

gnome-cups-manager |     0.31-3 | source, arm, armel, ia64, m68k, mips, powerpc, s390, sparc
gnome-cups-manager |  0.31-3+b1 | alpha, amd64, hppa, i386, mipsel
libgnomecupsui1.0-1c2a |     0.31-3 | arm, armel, ia64, m68k, mips, powerpc, s390, sparc
libgnomecupsui1.0-1c2a |  0.31-3+b1 | alpha, amd64, hppa, i386, mipsel
libgnomecupsui1.0-dev |     0.31-3 | arm, armel, ia64, m68k, mips, powerpc, s390, sparc
libgnomecupsui1.0-dev |  0.31-3+b1 | alpha, amd64, hppa, i386, mipsel

Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Will also close bugs: 491628
Will also send CCs to: gnome-cups-manager@packages.debian.org, gnome-cups-manager@packages.qa.debian.org

------------------- Reason -------------------
ROM; unmaintained, has RC bugs, has replacement
----------------------------------------------

Checking reverse dependencies...
** brdesktop-gnome has an unsatisfied dependency on amd64: gnome-cups-manager
** brdesktop-gnome has an unsatisfied dependency on i386: gnome-cups-manager
** brdesktop-gnome has an unsatisfied dependency on powerpc: gnome-cups-manager
Error for source gcc-snapshot: Problem Parsing Dependency
Dependency problem found.
Continue (y/N)? n
Aborted.

Thanks,

-- 
Mark Hymers <mhy at debian dot org>

"But Yossarian *still* didn't understand either how Milo could buy eggs
 in Malta for seven cents apiece and sell them at a profit in Pianosa
 for five cents."
     Catch 22, Joseph Heller




Bug 491628 cloned as bug 491743. Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Mon, 21 Jul 2008 19:24:08 GMT) Full text and rfc822 format available.

Blocking bugs of 491628 added: 491743 Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Mon, 21 Jul 2008 19:24:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#491628; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #19 received at 491628@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 491628 <491628@bugs.debian.org>
Subject: Re: Bug#491628: RM: gnome-cups-manager -- ROM; unmaintained, has RC bugs, has replacement
Date: Tue, 26 Aug 2008 17:06:50 +0200
[Message part 1 (text/plain, inline)]
Le lundi 21 juillet 2008 à 20:20 +0100, Mark Hymers a écrit :
> gnome-cups-manager has an rdepends in brdesktop-gnome.  Cloning and blocking
> bug so that they can remove/change their dependency:

This is fixed now, so you can proceed.

Cheers,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Josselin Mouette <joss@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 491628-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 491628-close@bugs.debian.org
Cc: gnome-cups-manager@packages.debian.org, gnome-cups-manager@packages.qa.debian.org
Subject: Bug#491628: fixed
Date: Tue, 26 Aug 2008 18:33:07 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

gnome-cups-manager |     0.31-3 | source, arm, armel, ia64, m68k, mips, powerpc, s390, sparc
gnome-cups-manager |  0.31-3+b1 | alpha, amd64, hppa, i386, mipsel
libgnomecupsui1.0-1c2a |     0.31-3 | arm, armel, ia64, m68k, mips, powerpc, s390, sparc
libgnomecupsui1.0-1c2a |  0.31-3+b1 | alpha, amd64, hppa, i386, mipsel
libgnomecupsui1.0-dev |     0.31-3 | arm, armel, ia64, m68k, mips, powerpc, s390, sparc
libgnomecupsui1.0-dev |  0.31-3+b1 | alpha, amd64, hppa, i386, mipsel

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 491628@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Thomas Viehmann (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 24 Sep 2008 07:28:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:32:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.